summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-04-15 07:12:52 +0200
committerMichał Górny <mgorny@gentoo.org>2019-04-15 07:12:52 +0200
commitcfa765820ff72575489fa2a62a78e0ecba63e9ce (patch)
tree957eb4c293d224a520ed9b8c8ada1b12da169aba /xfce-extra
parentdev-ruby/asciidoctor-diagram: add 1.5.16 (diff)
downloadgentoo-cfa765820ff72575489fa2a62a78e0ecba63e9ce.tar.gz
gentoo-cfa765820ff72575489fa2a62a78e0ecba63e9ce.tar.bz2
gentoo-cfa765820ff72575489fa2a62a78e0ecba63e9ce.zip
xfce-extra/xfce4-windowck-plugin: Bump to 0.4.6
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'xfce-extra')
-rw-r--r--xfce-extra/xfce4-windowck-plugin/Manifest1
-rw-r--r--xfce-extra/xfce4-windowck-plugin/xfce4-windowck-plugin-0.4.6.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-windowck-plugin/Manifest b/xfce-extra/xfce4-windowck-plugin/Manifest
index 184a7f7426e..385ad9e11b1 100644
--- a/xfce-extra/xfce4-windowck-plugin/Manifest
+++ b/xfce-extra/xfce4-windowck-plugin/Manifest
@@ -1,2 +1,3 @@
DIST xfce4-windowck-plugin-0.2.4.tar.gz 75442 BLAKE2B 76f8ecd19435a47f608af2478b4754cb8a3257a0943099cc0368c3320d9158d426255f3b20002819b1275bbb81b28737f00a0f603bc783e677e7b96cf73de09e SHA512 43798a8714926eb03b2f92f8dd813572030965133b672bd07c485da77efef96114ed412dc7a5de730b2bc21da561ca34c44147147c75f266d8bc393f2550557c
DIST xfce4-windowck-plugin-0.4.5.tar.gz 68762 BLAKE2B c4fdc900d16d668f06cc2c115c31df6d587ac7a833627b77145df4843497617a81acd508fbf5c54f9a443f4b2eaccf4ff86a445cbb83fbed068204c21f3354d2 SHA512 2750af17892e9083b0d359deb477688144b187b94dd0c8b50e4e88ed125631e7c6bf45a040cd036a9f09d1b8ce242a8d01a572eb9151258bb78c63e4744d367d
+DIST xfce4-windowck-plugin-0.4.6.tar.gz 67622 BLAKE2B 38a1ff76a75b3eb833be586bf93bc9bd73b7237e74cf06fd7540fef85befa4ef9ad8c8351d1d2bfad4af1f342c59b1cb0ebb94e50a3f5cc9c38c5fe9f0377d86 SHA512 a02f6f1b275484dc7ed08f3f9868af7a456c9f3b52bb893c2ac109a0ca8c4376e9d6d714f40d40c491531584486c8be3bebf3669f3186a143f6fcfe923b9f376
diff --git a/xfce-extra/xfce4-windowck-plugin/xfce4-windowck-plugin-0.4.6.ebuild b/xfce-extra/xfce4-windowck-plugin/xfce4-windowck-plugin-0.4.6.ebuild
new file mode 100644
index 00000000000..393b44fd967
--- /dev/null
+++ b/xfce-extra/xfce4-windowck-plugin/xfce4-windowck-plugin-0.4.6.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+inherit autotools python-any-r1 xdg-utils
+
+DESCRIPTION="Xfce plugin puts the maximized window title and windows buttons on the panel"
+HOMEPAGE="https://github.com/cedl38/xfce4-windowck-plugin"
+SRC_URI="https://github.com/cedl38/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=x11-libs/gtk+-2.20:2
+ x11-libs/libX11
+ >=x11-libs/libwnck-2.30:1
+ >=xfce-base/libxfce4ui-4.10:=
+ >=xfce-base/libxfce4util-4.10:=
+ >=xfce-base/xfce4-panel-4.12:=
+ >=xfce-base/xfconf-4.10:="
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ dev-util/intltool
+ dev-util/xfce4-dev-tools
+ media-gfx/imagemagick[png]
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ # run xdt-autogen from xfce4-dev-tools added as dependency by EAUTORECONF=1 to
+ # rename configure.ac.in to configure.ac while grabbing $LINGUAS and $REVISION values
+ NOCONFIGURE=1 xdt-autogen || die
+
+ default
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}